Search detected secrets

View as Markdown
Returns all secrets detected by Postman's [Secret Scanner](https://learning.postman.com/docs/administration/secret-scanner/), grouped by workspace or resource. If you pass an empty request body, this endpoint returns all results.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

limitintegerOptionalDefaults to 10
The maximum number of rows to return in the response.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

includestringOptional
The additional fields to be included as a part of the request: - `meta.total` — Include the total records found in the `meta` response object.
sincedatetimeOptional
Return only results created since the given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be later than the `until` value. To use `time-numoffset` format, you must use `%2B` URL-encoding for the `+` character.
untildatetimeOptional
Return only results created until this given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be earlier than the `since` value. To use `time-numoffset` format, you must use `%2B` URL-encoding for the `+` character.

Request

This endpoint expects an object.
resolvedbooleanOptional

If true, return secrets with a resolved status.

secretTypeslist of stringsOptional

A list of secrets types to query. For a list of valid IDs, use the GET /secret-types endpoint.

statuseslist of enumsOptional
A list of the types of resolution statuses to query.
resourceslist of objectsOptional

A list of resources to query. If you use this query, you cannot also pass the workspaceIds query.

workspaceIdslist of stringsOptional

A list of workspaces IDs to query. If you use this query, you cannot also pass the resources query.

workspaceVisibilitieslist of enumsOptional

A list of workspace visibility settings to query. This currently supports the team and public settings.

Response

Successful Response
metaobject
The response's meta information for paginated results.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error